proc gchart data=orion.back_orders;
  vbar region;
  title "Back Orders by Region";
run;

ods gstyle;
ods listing style=listing;

proc gplot data=orion.profit;
where company='Concession';
plot profit*yymm salaries*yymm/overlay legend;
title 'Salaries and Profit by Month';
symbol1 i=join;
run;
quit;
