﻿ods path work.mytmp(update) sasuser.templat(update) sashelp.tmplmst(read);
  
proc template;
	define statgraph mytmp.pie;
		begingraph;
		layout region;
		piechart category=type / start=90 centerfirstslice=1
                 dataskin=gloss;
		endlayout;
		endgraph;
	end;
run;
ods listing;
 
ods graphics / reset=all;
title; footnote;

proc sgrender template=mytmp.pie data=sashelp.cars;
run;

** using more options;
proc template;
	define statgraph mytmp.pieavg;
		begingraph;
		  entrytitle 'Mean City MPG by Type';
		  layout region;
		  piechart category=type response=mpg_city /start=0 stat=mean centerfirstslice=0
                   dataskin=gloss datalabelcontent=(category response) datalabellocation=inside;
		  endlayout;
		endgraph;
	end;
run;

proc sgrender template=mytmp.pieavg data=sashelp.cars;
run;

ods listing;
ods graphics / reset=all;
