** if you have the listing destination available;
** Might not work in SAS Studio or EG;
ods listing style=banker;
proc sgplot data=orion.profit;
  where company='Orion France' and year(yymm)=2004;
  vbar yymm / response=sales;
  vline yymm / response=cost; 
title 'Sales vs. Cost';
run;
ods listing style=listing;
ods listing close;
*/

** Otherwise, if you have ODS HTML available;
ods html style=banker;
proc sgplot data=orion.profit;
  where company='Orion France' and year(yymm)=2004;
  vbar yymm / response=sales;
  vline yymm / response=cost; 
title 'Sales vs. Cost';
run;
ods html style=htmlblue;

** Test ODS PDF;
ods pdf file="&outpath\style.pdf" style=banker;
proc sgplot data=orion.profit;
  where company='Orion France' and year(yymm)=2004;
  vbar yymm / response=sales;
  vline yymm / response=cost; 
title 'Sales vs. Cost';
run;
ods pdf close;


