 
ods graphics / reset=all;

**ROWAXISTABLE, COLAXISTABLE added 9.4M3;

title 'SGPANEL and ROWAXISTABLE';
proc sgpanel data=sashelp.class(where=(age > 13));
  panelby sex / layout=rowlattice uniscale=column;
  hbar name / response=height stat=mean nostatlabel;
  rowaxis label='Height';
  rowaxistable age / stat=mean label='Age'
       valueattrs=(color=navy weight=bold)
       labelattrs=(color=navy weight=bold);
  rowaxistable weight / stat=mean label='Weight'
       valueattrs=(color=navy weight=bold)
       labelattrs=(color=navy weight=bold);
run;
